Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexPositionScaleAlongNormalsManipulator Class Reference

Vertex manipulator which scales the position of the vertex along the normals. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexPositionScaleAlongNormalsManipulator:

List of all members.

## Public Member Functions
template<typename VType >
void | operator() (VType &vertex) const
| SVertexPositionScaleAlongNormalsManipulator (const core::vector3df &factor)

## Detailed Description

Vertex manipulator which scales the position of the vertex along the normals.

This can look more pleasing than the usual Scale operator, but depends on the mesh geometry.

Definition at line 238 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexPositionScaleAlongNormalsManipulator::SVertexPositionScaleAlongNormalsManipulator | ( | const core::vector3df & | factor | ) | `[inline]`

Definition at line 241 of file SVertexManipulator.h.

## Member Function Documentation

template<typename VType >

void irr::scene::SVertexPositionScaleAlongNormalsManipulator::operator() | ( | VType & | vertex | ) | const`[inline]`

Definition at line 243 of file SVertexManipulator.h.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)